
.TextBold { font-weight: bold; }

div.SaveInfoGlobalPanel {
	position: fixed;
	top: 20px;
	right: 10px;
	padding: 15px; 
	background-color: #2D4B84;
	color: #FFFFFF;
}

h1 {
	font-size: 16px; 
}

h2 {
	font-size: 14px; 
	color: #1d5f9f;
}
 
h3 {
	font-size: 12px; 
	color: #1d5f9f;
}

div.ui-widget-header.BlockHeader {
	text-align: center;
	font-size: 13px;
	padding: 2px 0px;
}

/*---- HEADERS ----*/
div.BlockHeader { 
	background-image: none;
	border: none;
}

/*---- TABLES ----*/
table.formTable td{
	padding: 4px 2px;
}
table.formTable td.label {
	text-align: right;
	white-space: nowrap;
}
table.formTable td.value input.ui-state-default, 
table.formTable td.value select.ui-state-default{
	height:	20px;
}
table.formTable td.value input, 
table.formTable td.value select{
	-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box;         /* Opera/IE 8+ */
	border:	1px solid #949494;
	height:	1.5em;
}

table.formTable td.value input[type="radio"] {
    outline: none;
    border: none;
}

table.formTable td.value .ui-widget.ui-state-error {
border: 1px solid #cd0a0a;
background: #fef1ec url("/ivy/faces/javax.faces.resource/layouts/jQueryUItheme/MBA-AQ/images/ui-bg_flat_95_fef1ec_40x100.png?ln=xpertivy-1-webContent") 50% 50% repeat-x;
color: #cd0a0a;
}

table.formTable td.value>input, 
table.formTable td.value>select, 
table.formTable td.value>.fieldContainer>input, 
table.formTable td.value>.fieldContainer>select {
	width:100%;
}

table.formTable td.value button.ui-datepicker-trigger,
table.formTable td.value button.pe-timepicker-trigger {
	padding: 0px;
	margin-left: 5px;
	margin-top: -1px;
}

.ui-datatable table.dataTable,
table.dataTable {
	width: 100%;
	table-layout: auto !important;
	border-collapse: separate;
}
table.dataTable tr th,
table.dataTable tr td {
	padding: 2px;
	vertical-align: top;
}
table.dataTable tr th,
table.dataTable tr th.ui-state-default  {
	border: 1px solid #d3d3d3;
	background: none repeat scroll 0 0 #e6e6e6;
	font-weight: normal;
	color: #1d5f9f;
	text-align: left;
}
table.dataTable tr td {
	border: none;
	border-bottom: 	 1px solid #d3d3d3;
	overflow: visible;
}

table.dataTable tfoot tr td {	
	font-weight: bold;
	color: #1d5f9f;
	background: none repeat scroll 0 0 #e6e6e6;	
}

table.dataTable tr:hover {
	background: #e6e6e6 none repeat scroll 0 0;
}

.ui-datatable .ui-column-filter  {
	background-color : #fff !important;
	margin: 0 !important;
	width: auto !important; 		
}

.ui-datatable .ui-paginator {
	background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    border: medium none;
    float: left;
}

.ui-datatable-empty-message {
	font-style: italic;
}

/* Primefaces 5.3 (ivy 6.0) overrides */
/* #CompletePage um mehr Gewicht zu verleihen, weil primefaces.css danach geladen wird */
#CompletePage .ui-datatable-tablewrapper { 
  overflow: visible; 
}
#CompletePage .ui-autocomplete.ui-autocomplete-multiple {
	display: block;
}


.ui-widget-header .ui-state-default {
	background: #e6e6e6;
	color: #1d5f9f;
	font-weight: bold;
	
}

.ui-datatable-footer {
	background: none repeat scroll 0 0 rgba(0, 0, 0, 0);
    border: none;
    border-bottom: 2px solid lightgray;
}

.ui-widget-content.ui-expanded-row{
	background: lightgray;
}

/*---- BUTTON-PANEL ----*/
div.buttonPanel{
	text-align: right;
}

/*---- INPUT ----*/
input.ui-state-default,
select.ui-state-default,
textarea.ui-state-default{
	background: none;
	color: black;
	padding: 0px;
}

.ui-inputfield.ui-state-default {
	background: none;
	color: black;
	padding: 0px;
	border: 1px solid #bfbfbf;
}

form input[type="submit"].form-margin,form input[type="reset"].form-margin,form input[type="button"].form-margin{margin-top:0;}
form input.big-submit2,button.big-submit{}
/*
a.ui-button, button.ui-button, input.ui-button,
.ui-widget-content button.ui-button  {
	padding: 3px 6px 4px 6px;
	color: #1D5F9F;
	border: 1px solid #bfbfbf;
	background: #e9e9e9 url("/ivy/faces/javax.faces.resource/layouts/images/bg-button.png?ln=xpertivy-1006-webContent&xv=309057154620") top left repeat-x; 
	cursor: pointer;
}
*/

.ui-button.aqvButton, 
.aqvButton {
	color: #1D5F9F;
	background: #efefef url("/ivy/faces/javax.faces.resource/layouts/images/bg-button.png?ln=xpertivy-1006-webContent&xv=309057154620") top left repeat-x; 
	border: 1px solid #bcbcbc;
	cursor: pointer;
	height: 20px;
	padding-right: 6px;
	padding-left: 6px; 
	-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box;         /* Opera/IE 8+ */
	display: inline-block;
	vertical-align: middle;
}
a.aqvButton {padding-top: 3px; text-decoration: none;}

/*
.ui-button.aqvButton.aqvButtonBig,
.aqvButton.aqvButtonBig {
*/
.ui-button.aqvButton,
.aqvButton {	
	background: #e9e9e9 url("/ivy/faces/javax.faces.resource/layouts/images/bg-button-big.png?ln=xpertivy-1006-webContent&xv=309057154620") top left repeat-x; 
	height: 27px;
	padding-right: 8px;
	padding-left: 8px; 
	margin-left: 1px;
	margin-right: 1px;
	white-space: nowrap;
}
a.aqvButton.aqvButtonBig {	padding-top: 5px;	text-decoration: none;}
a.aqvButton.aqvButtonSmall, button.aqvButton.aqvButtonSmall { height: 19px; padding: 2px; 4px;}
.ui-button.aqvButton.aqvButtonPrimary,.aqvButton.aqvButtonPrimary, .messagePanel.infoPanel			
{border: 1px solid #005A8E; 	background-color: #0076BD; /*Blau ZH*/		color: white; }
.ui-button.aqvButton.aqvButtonSuccess,.aqvButton.aqvButtonSuccess, .messagePanel.successPanel 	
{border: 1px solid #195628;	background-color: #278740; /*Dunkelgrün*/	color: white; }
.ui-button.aqvButton.aqvButtonDanger,.aqvButton.aqvButtonDanger,  .messagePanel.errorPanel  		
{border: 1px solid #891018;	background-color: #EE1C25; /*Rot ZH*/		color: white; }

.messagePanel.warningPanel 	
{border: 1px solid #F36F23;	background-color: #FFAC59; /*Hellorange*/	color: black; white-space:normal; }
body .messagePanel { padding: 3px; white-space: pre-wrap;}

button.ui-button span.ui-button-text,
a.aqvButton span,
input.ui-button span.ui-button-text {
	font-size: 1.1em;
	padding: 0px;
	line-height: 1;
}

.ui-button.aqvButtonExcel .ui-button-text {
	margin-left: -4px;
	padding-left: 20px;
	background-repeat: no-repeat;
	background-position: left center;
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/excel.png?ln=xpertivy-1006-webContent&xv=309057154620");
}

.ui-button.aqvButtonPrint .ui-button-text {
	margin-left: -4px;
	padding-left: 20px;
	background-repeat: no-repeat;
	background-position: left center;
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/print.png?ln=xpertivy-1006-webContent&xv=309057154620");
}

.ui-button.aqvButtonAdd .ui-button-text {
	margin-left: -4px;
	padding-left: 20px;
	height: 16px;
	background-repeat: no-repeat;
	background-position: left center;
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/AddMark_10580.png?ln=xpertivy-1006-webContent&xv=309057154620");
}

.ui-button.aqvButtonSort .ui-button-text {
	margin-left: -4px;
	padding-left: 20px;
	height: 16px;
	background-repeat: no-repeat;
	background-position: left center;
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/preferences.png?ln=xpertivy-1006-webContent&xv=309057154620");
}

/*
.ui-button.aqvButtonExcel, .aqvButtonExcel {
	padding-left: 20px;
	background-repeat: no-repeat;
	background-position: left center;
	background-image: url();
}
*/
a.ui-button.big1,button.ui-button.big1,input.ui-button.big1 {	
	padding: 4px 16px 6px 16px;
}

/* #### Uploader #### */
.ui-fileupload>.ui-fileupload-buttonbar.ui-widget-header{
	background: transparent;
	border: none;
	padding-left: 0em;
	padding-top:0.4em;
	margin-top:5px;
}
.ui-fileupload>.ui-fileupload-content.ui-widget-content{
	background: transparent;
	border: none;
}
.ui-fileupload>.ui-fileupload-content table.files{
	margin: 0px;
}
.fileDownload{
	height:1.3em;  
	padding-left: 2px;
}

/*---- ICO ----*/
.ico {
	width: 16px;
	height: 16px;
	border: none;
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/edit.png?ln=xpertivy-1006-webContent&xv=309057154620");
	background-repeat: no-repeat;
	display: inline-block;
	vertical-align: middle;
}
.icoEdit {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/edit.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoDelete {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/delete.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoDeletePk {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/delete.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoCollapse {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/toggle-icon-collapse.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoExpand {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/toggle-icon-expand.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoDownload {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/download.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoDetailsMa {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/bussiness-card.png?ln=xpertivy-1006-webContent&xv=309057154620");		
}
.icoWahlFormularMa {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/notepad-alt.png?ln=xpertivy-1006-webContent&xv=309057154620");		
}
.icoDetailsLe {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/content.png?ln=xpertivy-1006-webContent&xv=309057154620");		
}
.icoDetails {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/anzeigen.PNG?ln=xpertivy-1006-webContent&xv=309057154620");	
	width: 20px;
	height: 20px;
}
.icoAdd {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/edit_add.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoAddNew {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/AddMark_10580.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoUndo {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/MD-repeat.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoOk {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/check.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoEinheit {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/hierarchy.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoEinheitPk {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/hierarchy.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}
.icoMail {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/mail.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}

.icoPrio1 {
	background-color: red;
}

.icoPrio2 {
	background-color: orange;
}

.icoPrio3 {
	background-color: green;
}

.icoPrio4 {
	
}

.icoSort {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/preferences.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}

.icoSave {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/save.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}

.icoCancel {
	background-image: url("/ivy/faces/javax.faces.resource/layouts/images/ico/cancel.png?ln=xpertivy-1006-webContent&xv=309057154620");	
}

/* bussiness-card */

/*---- TEXT ----*/
body .error { color: #EE1C25;} /*Rot ZH*/
body .warn { color: #F36F23;} /*Orange ZH*/
body .success { color: #34B558;} /*Grün ZH*/

body .errorPanel { background-color: #FFC6CA;}
body .warnPanel {  background-color: #F4E97F;}
body .successPanel {  background-color: #34B558;} /*Grün ZH*/

/*---- Validation ----*/
.ValidationErrorPanel {
	background-color: #FFC6CA; /*#F4E97F; #E8BEBE;*/
}
.MessagesPanelError.ui-messages, .MessagesPanelError.ui-messages .ui-messages-error, .MessagesPanelError.ui-messages .ui-messages-error-summary{
	padding: 0px;
	margin: 0px;
	border: none;
	background: none;
	font-weight: normal;
	color: #EE1C25;
}

.jQueryErrorText {
	display: none;
	color:  #EE1C25;
	padding: 5px 0px;
}

/*---- Comparsion Personalblatt ----*/
div.fieldContainer{
	display: inline-block;
}

input.compareChanges,
.compareChanges>input,
.compareChanges>input.ui-state-default,
.compareChanges>select,
.compareChanges>span,
.compareChanges div.fieldOutputText
 {
 	display: inline-block;
 	width: 100%;
 	height: 15px;
	background-color: #FFCB06;
}
span.highlight{
	background-color: #FFCB06;
}

/*---- ToolTip ----*/
.jQueryToolTipPanel {
	display: inline-block; 
	position: relative;
	vertical-align: middle;
}

.jQueryToolTip {
	position: absolute; 
	display: none;
	background-color: infobackground;
	color: infotext;
	padding: 5px; 
	border: 1px solid #bfbfbf;
	text-align: left;
	width: auto;
	z-index: 900;
}

.jQueryToolTip.jQueryToolTipAuto {
	white-space: pre-wrap;
}

.jQueryToolTipPanel:hover .jQueryToolTip {
	display: block;
	z-index: 900;
}

/*---- Standard Formular ----*/
.inactiveInput {
	border: 1px solid #c4c4c4;
    box-sizing: border-box;
    font-size: 12px;
    padding: 2px 7px;;
    background-color: #eaeaea;
    color: #636363;
}

/*Filter*/
/* div.FilterPanelOuter { border: 1px solid #D4E3F2;} */
div.FilterPanel { padding: 5px; position: relative; z-index: 1; }
div.FilterPanel div.F_Element { float: left; margin-right: 10px; height: 25px; }
div.FilterPanel div.F_Element .F_Label { float: left; margin-right: 5px; padding-top: 2px; }
div.FilterPanel div.F_Element .F_Input { float: left; }
div.FilterPanel div.ButtonPanel { position: absolute; right: 5px; bottom: 5px; }
div.FilterPanel div.F_Element .F_Input>input {
	width:100%;
	-webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
	-moz-box-sizing: border-box;    /* Firefox, other Gecko */
	box-sizing: border-box;         /* Opera/IE 8+ */
	border:	1px solid #949494;
	height:	1.5em;}

.DisplayNo, .Hidden, .hide { display: none; }

/*---- Dialogs ----*/
div.ui-dialog.dialogLowRes{
	position:absolute;
}

div.ui-dialog.dialogLowRes,
div.ui-dialog.dialogLowRes>div.ui-dialog-content{
	overflow: visible;
}

/* Workaround für Primefaces-Bug: Header und Footer werden bei fitViewport nicht berücksichtigt. */
div.ui-dialog.fitViewportFix .ui-dialog-content:after {
  content: ".";
  clear: both;
  display: block;
  visibility: hidden;
  height: 18px;
  margin-bottom: 10px;
}

/*---- Overlay----*/
.ui-blockui.ui-widget-overlay{
	z-index: 100;
}

/*---- Loading gif in Header ----*/
.BlockHeader .ui-outputpanel-loading {
	float: left;
	width: 16px;
	height: 16px;
	padding: 0px;
	display: none;
}

tr.geloescht {
	text-decoration: line-through;
	color: #e0e0e0;
}

tr.geloescht:hover {
	
	color: red;
}

.TabViewPersonalblatt {
	margin-bottom: 4px;
}

.TabViewPersonalblatt div.ui-tabs-panel {
	padding: 0px;
}

.PersonWahlListElement {
	width: 400px;
	margin-bottom: 8px; 
	border: 1px solid #F79214;
	border-radius: 3px;
}

.PersonWahlListElement .PersonWahlListElementTitle {
	padding: 6px;
	font-weight: bold;
	color: black;
	background: #F79214;
}

.PersonWahlListElement .PersonWahlListElementContent {
	padding: 6px;
}


